# trgt_bmp.cpp File Reference

Bitmap Target. More...

`#include "trgt_bmp.h"`
`#include <synfig/general.h>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`

## Namespaces

namespace | synfig

## Defines

#define | SYNFIG_NO_ANGLE
#define | little_endian(x) (x)
#define | little_endian_short(x) (x)

## Functions

| SYNFIG_TARGET_INIT (bmp)
| SYNFIG_TARGET_SET_NAME (bmp,"bmp")
| SYNFIG_TARGET_SET_EXT (bmp,"bmp")
| SYNFIG_TARGET_SET_VERSION (bmp,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (bmp,"$Id$")

## Detailed Description

Bitmap Target.

$Id$

## Define Documentation

#define SYNFIG_NO_ANGLE

#define little_endian | ( | x |  | ) | (x)

#define little_endian_short | ( | x |  | ) | (x)

## Function Documentation

SYNFIG_TARGET_INIT | ( | bmp |  | ) |

SYNFIG_TARGET_SET_NAME | ( | bmp | ,
|  | "bmp" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | bmp | ,
|  | "bmp" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | bmp | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | bmp | ,
|  | "$Id$" |  |
| ) |  |  |